<?php
class Inline_Video extends ET_Builder_Module
{
	protected $module_credits = [
		'module_uri' => 'https://makeweb.com.au',
		'author' => 'MakeWeb',
		'author_uri' => 'https://makeweb.com.au',
	];
	
	public function init()
	{
		parent::init();
		$this->name             = 'Inline Video';
		$this->version          = '1.0.1';
		$this->slug             = 'mw_inline_video';
		$this->fb_support       = 'partial';
		$this->main_css_element = '%%order_class%%';
	}

	public function get_settings_modal_toggles()
	{
		return [
			'general' => [
				'toggles' => [
					'video' => esc_html__('Video Settings', 'ratchet'),
				],
			],
		];
	}
	
	
	public function get_custom_css_fields_config()
	{
		$fields = [];
		return $fields;
	}
	
	public function get_advanced_fields_config()
	{
		$advanced_fields = [];
		$advanced_fields["text"] = false;
		$advanced_fields["text_shadow"] = false;		
		return $advanced_fields;
	}

	public function get_fields()
	{
		$fields = [];
		
		$fields["src"] = [
			'label' => esc_html__('Video', 'ratchet'),
			'type' => 'upload',
			'option_category' => 'configuration',
			'upload_button_text' => et_builder_i18n( 'Upload a Video' ),
			'choose_text'        => esc_attr__( 'Choose a Video', 'et_builder' ),
			'update_text'        => esc_attr__( 'Set As Video', 'et_builder' ),
			'data_type'          => 'video',
			'hover' => 'tabs',
			'toggle_slug' => 'video',
		];
			
		return $fields;
	}
	

	public function render($attrs, $content, $render_slug)
	{
		$src = $this->props['src'];

		$output = sprintf(
			'<div %1$s class="%2$s ">
				<video preload="none" autoplay loop playsinline muted src="%3$s"></video>
			</div>',
			$this->module_id(),
			$this->module_classname( $render_slug ),
			$src
		);
		
		return $output;
	}
}
new Inline_Video;